Support

If you have a problem or need to report a bug please email : support@dsprobotics.com

There are 3 sections to this support area:

DOWNLOADS: access to product manuals, support files and drivers

HELP & INFORMATION: tutorials and example files for learning or finding pre-made modules for your projects

USER FORUMS: meet with other users and exchange ideas, you can also get help and assistance here

NEWBIES: DO NOT USE 3.09 BETAS!!

For general discussion related FlowStone

NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Sat Apr 14, 2018 7:52 am

For those new to FlowStone:

The 3.09 betas 1 and 2 are available for download but you should NOT use them for any serious work. They were intended for public testing of new features and have many bugs and stability issues. Several people have been caught by this and have had to re-work their projects from scratch since the ‘Save as version 3.08’ function also isn’t reliable :(

The most recent final release is version 3.0.8.1 but many of us find 3.0.6 to be more stable and faster.

As a mere moderator I am unable to pin this post so I’ll bump it from time to time to keep it visible.

EDIT: When uploading schematics please add a comment to the file saying which version it was made with.

Cheers

Spogg
User avatar
Spogg
 
Posts: 2170
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby SampleScience » Tue May 08, 2018 10:23 pm

Thank you for the info. I was going to give it a try thinking it might export 64 bit plugins but if it's unstable I'll avoid it.
SampleScience
 
Posts: 45
Joined: Wed Feb 17, 2016 1:20 am
Location: Canada

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby tulamide » Wed Aug 08, 2018 2:23 am

I'm not a moderator, but I think a weekly bump is currently necessary and makes sense.
BUMP
tulamide
 
Posts: 1931
Joined: Sat Jun 21, 2014 2:48 pm
Location: Germany

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Wed Aug 08, 2018 9:41 am

Tulamide, you may not be a moderator but you BUMP so well :lol:
User avatar
Spogg
 
Posts: 2170
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby martinvicanek » Sun Sep 30, 2018 11:33 am

There is another aspect to consider: I you post a schematic created with one of the betas, anyone trying to open it will be flooded with popup error messages. To switch to a FS beta requires registry modifications - something that people may hesitate to do. So:

1. For your own sake don't use the betas. ;)
2. If you decide to use the betas, don't post schematics. :!:
3. If you still post schematics created with one of the betas, at least advise! :evil:
User avatar
martinvicanek
 
Posts: 915
Joined: Sat Jun 22, 2013 8:28 pm

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby tulamide » Mon Oct 01, 2018 4:19 pm

Also, it is stupid in the first place. Yep, I said it! Beta-Versions (and currently alpha-versions for 64-bit) are called so for a reason. They are not suitable for plugin development. They are meant to try them for any errors to report. They are a work in progress.

How many of you put together 4 wheels and an engine and call it a car? At least wait until the safety measures are done.

Don't use Betas (let alone Alphas)!
tulamide
 
Posts: 1931
Joined: Sat Jun 21, 2014 2:48 pm
Location: Germany

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Tue Oct 02, 2018 8:10 am

Very well said guys.

I would add that some people are now offering their VSTs in 64 bit, and I confess to having been tempted myself.
I decided it’s not such a good idea for me at the moment, until the official release happens.

Maybe if you inform customers that the 64 bit VSTs are only for testing and evaluation then it might be more acceptable if/when bugs show up.

Cheers

Spogg
User avatar
Spogg
 
Posts: 2170
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Wed Mar 13, 2019 8:11 am

Bumped!
User avatar
Spogg
 
Posts: 2170
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby tulamide » Wed Mar 13, 2019 11:42 am

Plus:
Don't use test versions of FS4 alphas/betas to share schematics here on the forum!
They are not compatible and will only cause trouble.
tulamide
 
Posts: 1931
Joined: Sat Jun 21, 2014 2:48 pm
Location: Germany

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby MichaelBenjamin » Sun Mar 24, 2019 10:38 am

i've read that the general agreement is to use 3.06 as last stable version. why should any further version even be dl/able for public if it only brings problems?
MichaelBenjamin
 
Posts: 31
Joined: Tue Jul 13, 2010 1:32 pm

Next

Return to General

Who is online

Users browsing this forum: Google [Bot] and 14 guests